Share via


Recovery Points - List By Replication Protected Items

Gets the list of recovery points for a replication protected item.
Lists the available recovery points for a replication protected item.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{resourceName}/replicationFabrics/{fabricName}/replicationProtectionContainers/{protectionContainerName}/replicationProtectedItems/{replicatedProtectedItemName}/recoveryPoints?api-version=2025-08-01

URI Parameters

Name In Required Type Description
fabricName
path True

string

Fabric name.

protectionContainerName
path True

string

Protection container name.

replicatedProtectedItemName
path True

string

Replication protected item name.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

The name of the Vault

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

RecoveryPointCollection

Azure operation completed successfully.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets the list of recovery points for a replication protected item.

Sample request

GET https://management.azure.com/subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationFabrics/cloud1/replicationProtectionContainers/cloud_6d224fc6-f326-5d35-96de-fbf51efb3179/replicationProtectedItems/f8491e4f-817a-40dd-a90c-af773978c75b/recoveryPoints?api-version=2025-08-01

Sample response

Azure-AsyncOperation: https://management.azure.com/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2025-08-01
{
  "value": [
    {
      "name": "b22134ea-620c-474b-9fa5-3c1cb47708e3",
      "type": "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/recoveryPoints",
      "id": "/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationFabrics/cloud1/replicationProtectionContainers/cloud_6d224fc6-f326-5d35-96de-fbf51efb3179/replicationProtectedItems/f8491e4f-817a-40dd-a90c-af773978c75b/recoveryPoints/b22134ea-620c-474b-9fa5-3c1cb47708e3",
      "properties": {
        "recoveryPointTime": "2017-04-26T06:37:50.8082715Z",
        "recoveryPointType": "CrashConsistent"
      }
    },
    {
      "name": "34cb2d05-e730-4d3f-b96b-a60a5e92acb2",
      "type": "Microsoft.RecoveryServices/vaults/replicationFabrics/replicationProtectionContainers/replicationProtectedItems/recoveryPoints",
      "id": "/Subscriptions/c183865e-6077-46f2-a3b1-deb0f4f4650a/resourceGroups/resourceGroupPS1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationFabrics/cloud1/replicationProtectionContainers/cloud_6d224fc6-f326-5d35-96de-fbf51efb3179/replicationProtectedItems/f8491e4f-817a-40dd-a90c-af773978c75b/recoveryPoints/34cb2d05-e730-4d3f-b96b-a60a5e92acb2",
      "properties": {
        "recoveryPointTime": "2017-04-26T07:37:30.9722019Z",
        "recoveryPointType": "CrashConsistent"
      }
    }
  ]
}

Definitions

Name Description
A2ARecoveryPointDetails

A2A provider specific recovery point details.

createdByType

The type of identity that created the resource.

InMageAzureV2RecoveryPointDetails

InMage Azure V2 provider specific recovery point details.

InMageRcmRecoveryPointDetails

InMageRcm provider specific recovery point details.

RecoveryPoint

Recovery point.

RecoveryPointCollection

Collection of recovery point details.

RecoveryPointProperties

Recovery point properties.

RecoveryPointSyncType

A value indicating whether the recovery point is multi VM consistent.

systemData

Metadata pertaining to creation and last modification of the resource.

A2ARecoveryPointDetails

A2A provider specific recovery point details.

Name Type Description
disks

string[]

List of disk ids representing a recovery point.

instanceType string:

A2A

Gets the provider type.

recoveryPointSyncType

RecoveryPointSyncType

A value indicating whether the recovery point is multi VM consistent.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

InMageAzureV2RecoveryPointDetails

InMage Azure V2 provider specific recovery point details.

Name Type Description
instanceType string:

InMageAzureV2

Gets the provider type.

isMultiVmSyncPoint

string

A value indicating whether the recovery point is multi VM consistent.

InMageRcmRecoveryPointDetails

InMageRcm provider specific recovery point details.

Name Type Description
instanceType string:

InMageRcm

Gets the provider type.

isMultiVmSyncPoint

string

A value indicating whether the recovery point is multi VM consistent.

RecoveryPoint

Recovery point.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

Resource Location

name

string

The name of the resource

properties

RecoveryPointProperties

The recovery point properties.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

RecoveryPointCollection

Collection of recovery point details.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

RecoveryPoint[]

The RecoveryPoint items on this page

RecoveryPointProperties

Recovery point properties.

Name Type Description
providerSpecificDetails ProviderSpecificRecoveryPointDetails:

The provider specific details for the recovery point.

recoveryPointTime

string (date-time)

The recovery point time.

recoveryPointType

string

The recovery point type: ApplicationConsistent, CrashConsistent.

RecoveryPointSyncType

A value indicating whether the recovery point is multi VM consistent.

Value Description
MultiVmSyncRecoveryPoint

MultiVmSyncRecoveryPoint

PerVmRecoveryPoint

PerVmRecoveryPoint

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.